Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks
Interface TaskInputs

    public interface TaskInputs

A `TaskInputs` represents the inputs for a task.

You can obtain a `TaskInputs` instance using `Task.getInputs()`.

Method Summary
`TaskInputs` | `dir(Object dirPath)` Registers an input directory hierarchy.
`TaskInputs` | `files(Object... paths)` Registers some input files for this task.
`FileCollection` | `getFiles()` Returns the input files of this task.
`boolean` | `getHasInputs()` Returns true if this task has declared the inputs that it consumes.
`Map<String,Object>` | `getProperties()` Returns the set of input properties for this task.
`TaskInputs` | `properties(Map<String,?> properties)` Registers a set of input properties for this task.
`TaskInputs` | `property(String name, Object value)` Registers an input property for this task.

Method Detail

### getHasInputs

    boolean getHasInputs()

  Returns true if this task has declared the inputs that it consumes.

  Returns:
    true if this task has declared any inputs.

### getFiles

    FileCollection getFiles()

  Returns the input files of this task.

  Returns:
    The input files. Returns an empty collection if this task has no input files.

### files

    TaskInputs files(Object... paths)

  Registers some input files for this task.

  Parameters:
    `paths` - The input files. The given paths are evaluated as for `Project.files(Object...)`.
  Returns:
    this

### dir

    TaskInputs dir(Object dirPath)

  Registers an input directory hierarchy. All files found under the given directory are treated as input files for this task.

  Parameters:
    `dirPath` - The directory. The path is evaluated as for `Project.file(Object)`.
  Returns:
    this

### getProperties

    Map<String,Object> getProperties()

  Returns the set of input properties for this task.

  Returns:
    The properties.

### property

    TaskInputs property(String name,
                        Object value)

  Registers an input property for this task. This value is persisted when the task executes, and is compared against the property value for later invocations of the task, to determine if the task is up-to-date.

  The given value for the property must be Serializable, so that it can be persisted. It should also provide a useful `equals()` method.

  You can specify a closure or `Callable` as the value of the property. In which case, the closure or `Callable` is executed to determine the actual property value.

  Parameters:
    `name` - The name of the property. Must not be null.
    `value` - The value for the property. Can be null.

### properties

    TaskInputs properties(Map<String,?> properties)

  Registers a set of input properties for this task. See `property(String, Object)` for details.

  Parameters:
    `properties` - The properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD